List Services Operation¶
Use /services/operations to retrieve routing information for your service including the day of week you are serviced.
URI¶
GET /api/v1/customers/{customerId}/services/operations
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| services | Object | The service details |
| id | Number | Unique Service Identifier |
| status | String | Service Status (Active or Inactive) |
| operations | Object | Operation details |
| route_id | String | Route for which service is assigned |
| day_of_week | String | Day of week for trash pickup |
| notes | String | Customer comments |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/services/operations
Sample Response¶
{ "request_tracking_id": "123", "services": [{ "id": "1", "status": "Active", "operations": [{ "route_id": "J31A", "day_of_week": "WEDNESDAY" }] }, { "id": "2", "status": "Active", "operations": [{ "route_id": "J24A", "day_of_week": "TUESDAY" }, { "route_id": "J54A", "day_of_week": "FRIDAY" }] }]}